import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {IonicModule} from '@ionic/angular';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';
import {NgxEchartsModule} from 'ngx-echarts';
import {HomePage} from './home.page';
import {PageOneComponent} from '../main/page-one/page-one.component';
import {PageTwoComponent} from '../main/page-two/page-two.component';
import {PageThreeComponent} from '../main/page-three/page-three.component';
import {PageFourComponent} from '../main/page-four/page-four.component';
import {PageDetailComponent} from '../main/page-detail/page-detail.component';
import {SearchListComponent} from '../main/search-list/search-list.component';
import {SearchHistoryComponent} from '../main/search-history/search-history.component';
import {AlarmListComponent} from '../main/alarm-list/alarm-list.component';

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        IonicModule,
        NgxEchartsModule,
        RouterModule.forChild([
            {
                path: '',
                component: HomePage
            },
            {
                path: 'detail',
                component: PageDetailComponent
            }
        ])
    ],
    declarations: [
        HomePage,
        PageOneComponent,
        PageTwoComponent,
        PageThreeComponent,
        PageFourComponent,
        PageDetailComponent,
        SearchListComponent,
        SearchHistoryComponent,
        AlarmListComponent
    ]
})
export class HomePageModule {
}
